package cn.com.qmth.stmms.ms.admin.api;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by yuanpan on 2018/1/11.
 */
@RestController
@RequestMapping("api/config")
public class ConfigController {

    @Value("${sys.config.yangjuan}")
    private Boolean enableYangJuan;

    @GetMapping
    public Map<String, Object> get() {

        Map<String, Object> map = new HashMap<>();
        map.put("enableYangJuan", enableYangJuan);

        return map;
    }
}
